org.jboss.shrinkwrap.descriptor.api.javaee6

## Interface EnvEntryType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface EnvEntryType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `env-entryType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InjectionTargetType<EnvEntryType<T>>` | `createInjectionTarget()` Creates a new `injection-target` element
    `EnvEntryType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `EnvEntryType<T>` | `envEntryName(java.lang.String envEntryName)` Sets the `env-entry-name` element
    `EnvEntryType<T>` | `envEntryType(java.lang.String envEntryType)` Sets the `env-entry-type` element
    `EnvEntryType<T>` | `envEntryValue(java.lang.String envEntryValue)` Sets the `env-entry-value` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<InjectionTargetType<EnvEntryType<T>>>` | `getAllInjectionTarget()` Returns all `injection-target` elements
    `java.lang.String` | `getEnvEntryName()` Returns the `env-entry-name` element
    `java.lang.String` | `getEnvEntryType()` Returns the `env-entry-type` element
    `java.lang.String` | `getEnvEntryValue()` Returns the `env-entry-value` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getLookupName()` Returns the `lookup-name` element
    `java.lang.String` | `getMappedName()` Returns the `mapped-name` element
    `InjectionTargetType<EnvEntryType<T>>` | `getOrCreateInjectionTarget()` If not already created, a new `injection-target` element will be created and returned.
    `EnvEntryType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `EnvEntryType<T>` | `lookupName(java.lang.String lookupName)` Sets the `lookup-name` element
    `EnvEntryType<T>` | `mappedName(java.lang.String mappedName)` Sets the `mapped-name` element
    `EnvEntryType<T>` | `removeAllDescription()` Removes the `description` element
    `EnvEntryType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
    `EnvEntryType<T>` | `removeEnvEntryName()` Removes the `env-entry-name` element
    `EnvEntryType<T>` | `removeEnvEntryType()` Removes the `env-entry-type` element
    `EnvEntryType<T>` | `removeEnvEntryValue()` Removes the `env-entry-value` element
    `EnvEntryType<T>` | `removeId()` Removes the `id` attribute
    `EnvEntryType<T>` | `removeLookupName()` Removes the `lookup-name` element
    `EnvEntryType<T>` | `removeMappedName()` Removes the `mapped-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### lookupName

          EnvEntryType<T> lookupName(java.lang.String lookupName)

      Sets the `lookup-name` element
      Parameters:
        `lookupName` - the value for the element `lookup-name`
      Returns:
        the current instance of `EnvEntryType`

    - #### getLookupName

          java.lang.String getLookupName()

      Returns the `lookup-name` element
      Returns:
        the node defined for the element `lookup-name`

    - #### removeLookupName

          EnvEntryType<T> removeLookupName()

      Removes the `lookup-name` element
      Returns:
        the current instance of `EnvEntryType`

    - #### mappedName

          EnvEntryType<T> mappedName(java.lang.String mappedName)

      Sets the `mapped-name` element
      Parameters:
        `mappedName` - the value for the element `mapped-name`
      Returns:
        the current instance of `EnvEntryType`

    - #### getMappedName

          java.lang.String getMappedName()

      Returns the `mapped-name` element
      Returns:
        the node defined for the element `mapped-name`

    - #### removeMappedName

          EnvEntryType<T> removeMappedName()

      Removes the `mapped-name` element
      Returns:
        the current instance of `EnvEntryType`

    - #### getOrCreateInjectionTarget

          InjectionTargetType<EnvEntryType<T>> getOrCreateInjectionTarget()

      If not already created, a new `injection-target` element will be created and returned. Otherwise, the first existing `injection-target` element will be returned.
      Returns:
        the instance defined for the element `injection-target`

    - #### createInjectionTarget

          InjectionTargetType<EnvEntryType<T>> createInjectionTarget()

      Creates a new `injection-target` element
      Returns:
        the new created instance of `InjectionTargetType>`

    - #### getAllInjectionTarget

          java.util.List<InjectionTargetType<EnvEntryType<T>>> getAllInjectionTarget()

      Returns all `injection-target` elements
      Returns:
        list of `injection-target`

    - #### removeAllInjectionTarget

          EnvEntryType<T> removeAllInjectionTarget()

      Removes all `injection-target` elements
      Returns:
        the current instance of `InjectionTargetType>`

    - #### description

          EnvEntryType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `EnvEntryType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          EnvEntryType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `EnvEntryType`

    - #### envEntryName

          EnvEntryType<T> envEntryName(java.lang.String envEntryName)

      Sets the `env-entry-name` element
      Parameters:
        `envEntryName` - the value for the element `env-entry-name`
      Returns:
        the current instance of `EnvEntryType`

    - #### getEnvEntryName

          java.lang.String getEnvEntryName()

      Returns the `env-entry-name` element
      Returns:
        the node defined for the element `env-entry-name`

    - #### removeEnvEntryName

          EnvEntryType<T> removeEnvEntryName()

      Removes the `env-entry-name` element
      Returns:
        the current instance of `EnvEntryType`

    - #### envEntryType

          EnvEntryType<T> envEntryType(java.lang.String envEntryType)

      Sets the `env-entry-type` element
      Parameters:
        `envEntryType` - the value for the element `env-entry-type`
      Returns:
        the current instance of `EnvEntryType`

    - #### getEnvEntryType

          java.lang.String getEnvEntryType()

      Returns the `env-entry-type` element
      Returns:
        the node defined for the element `env-entry-type`

    - #### removeEnvEntryType

          EnvEntryType<T> removeEnvEntryType()

      Removes the `env-entry-type` element
      Returns:
        the current instance of `EnvEntryType`

    - #### envEntryValue

          EnvEntryType<T> envEntryValue(java.lang.String envEntryValue)

      Sets the `env-entry-value` element
      Parameters:
        `envEntryValue` - the value for the element `env-entry-value`
      Returns:
        the current instance of `EnvEntryType`

    - #### getEnvEntryValue

          java.lang.String getEnvEntryValue()

      Returns the `env-entry-value` element
      Returns:
        the node defined for the element `env-entry-value`

    - #### removeEnvEntryValue

          EnvEntryType<T> removeEnvEntryValue()

      Removes the `env-entry-value` element
      Returns:
        the current instance of `EnvEntryType`

    - #### id

          EnvEntryType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `EnvEntryType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          EnvEntryType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `EnvEntryType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)